import React from "react";
import useVanilla from "./use-vanilla";
import { storiesOf } from "@storybook/react";

var useVanillaImageSegmentation = function useVanillaImageSegmentation() {
  useVanilla("udt", {
    interface: {
      type: "image_segmentation",
      labels: ["A", "B"]
    },
    samples: [{
      imageUrl: "https://s3.amazonaws.com/asset.workaround.online/example-jobs/sticky-notes/image1.jpg"
    }, {
      imageUrl: "https://s3.amazonaws.com/asset.workaround.online/example-jobs/sticky-notes/image2.jpg"
    }]
  });
};

storiesOf("Vanilla Image Segmentation", module).add("Layout 1", function () {
  useVanillaImageSegmentation();
  return /*#__PURE__*/React.createElement("div", null, "you must be running the vanilla dev server for these examples to work", /*#__PURE__*/React.createElement("script", {
    src: "http://localhost:1234/index.js"
  }), /*#__PURE__*/React.createElement("div", {
    id: "udt"
  }));
}).add("Layout 2", function () {
  useVanillaImageSegmentation();
  return /*#__PURE__*/React.createElement("div", null, "you must be running the vanilla dev server for these examples to work", /*#__PURE__*/React.createElement("script", {
    src: "http://localhost:1234/index.js"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      padding: 200,
      backgroundColor: "#000"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      backgroundColor: "#fff"
    }
  }, /*#__PURE__*/React.createElement("div", {
    id: "udt"
  }))));
}).add("Layout 3", function () {
  useVanillaImageSegmentation();
  return /*#__PURE__*/React.createElement("div", null, "you must be running the vanilla dev server for these examples to work", /*#__PURE__*/React.createElement("script", {
    src: "http://localhost:1234/index.js"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      padding: 200,
      backgroundColor: "#000"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      height: 1000,
      backgroundColor: "#fff"
    },
    id: "udt"
  })));
});